org.gjt.sp.jedit.datatransfer

## Class TransferHandler

- java.lang.Object
- - org.gjt.sp.jedit.datatransfer.TransferHandler

-     public class TransferHandler
      extends java.lang.Object

  Since:
    jEdit 4.4.x

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransferHandler` | `getInstance()`
    `java.awt.datatransfer.Transferable` | `getTransferable(TextArea textArea, java.lang.String text)`
    `void` | `registerTransferableService(JEditTransferableService transferableService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TransferHandler getInstance()

    - #### registerTransferableService

          public void registerTransferableService(JEditTransferableService transferableService)

    - #### getTransferable

          public java.awt.datatransfer.Transferable getTransferable(TextArea textArea,
                                                           java.lang.String text)